	                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(cdgbar,dscart,pre001,cob_iv,cantidad,tipart,ivporc) {
	parent.document.formulario_lineas.cdgbar.value=cdgbar;
	parent.document.formulario_lineas.dscart.value=dscart;
	parent.document.formulario_lineas.preivi.value=pre001;
	parent.document.formulario_lineas.tipart.value=tipart;
	parent.document.formulario_lineas.cantidad.value=1;
	parent.document.formulario_lineas.cob_iv.value=cob_iv;
	parent.document.formulario_lineas.ivporc.value=ivporc;
	

    
}


function limpiar() {

	parent.document.formulario_lineas.cdgbar.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.tipart.value="";
	parent.document.formulario_lineas.ivporc.value="";
	parent.document.formulario_lineas.cantidad.value="1.00";
	parent.document.formulario.cob_iv.value="";
	parent.document.getElementById("cdgbar").focus();


}

</script>
<?php include ("../conexion.php"); ?>
<body>
<?php

	$cdgcli=$_GET["cdgcli"];
	$cdgbar=$_GET["cdgbar"];
	$cantidad= 1;

	
	$consulta_precio = "SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
	$resultado_precio = $mysqli->query($consulta_precio);
	$row = $resultado_precio->fetch_array();
	$tippre= $row["TIPPRE"];
	$dsccli= $row["DSCCLI"];	


	$fecha_actual=  date('Y-m-d') ;
    $fecha_actualizacion  =   date('2020-11-30') ;

	if ($fecha_actual >= $fecha_actualizacion ) {      // si valida el cabys 
		
	 
	$consulta = "SELECT * FROM web_1001 WHERE cdgbar='$cdgbar'  and estart = 1 ";
	$resultado = $mysqli->query($consulta);
	$nrs  = $resultado->num_rows;
	$fila = $resultado->fetch_array();

        $dscart  = $fila["DSCART"];
		$exiact  = $fila["EXIACT"];
		$cob_iv  = $fila["COB_IV"];
		$tipart  = $fila["tipart"];
		$desmin  = $fila["desmin"];
		$desmax  = $fila["desmax"];
     	$pasillo = $fila["pasillo"];
		$estante = $fila["estante"];
		$cdghac  = $fila["cdghac"];
		
					if ($tippre==1) {                  ///////////////////////////////        tipo de precio normal /////////////
        $pre001 = $fila["PRE001"];
			} elseif ($tippre==2){  
		$pre001 = $fila["PRE002"];
			} elseif ($tippre==3){  
		$pre001 = $fila["PRE003"];
		}
		
	
		$ivporc  = $fila["ivporc"];
		
		
	 
	 
	 
	 	if ($cob_iv==1) {       //////////////////    si paga impuestos /////////////////

	if ($nrs>0) {       
	
		if (!empty($cdghac)) {             /// PRODUCTO SI TIENE CABYS //////////////

		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $cdgbar ?>",'<?php echo $dscart ?>',"<?php echo $pre001/($ivporc/100+1) ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>", "<?php echo $tipart ?>", ' <?php echo $ivporc ?>');


		<?php
			if ($tipart==2) {            ///////////////  si encontro codigo o o 1 ///////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php
		} else {                                        /////////////////  sino es o o 1  /////////////////////////
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		<?php
			}                                          ////////////////////cierra 0 y 1  ///////////////////////////
		
		?>
		

		</script>
		<?php     /////////////////  SI NO TIENE CODIGO CABYS  /////////////////////////              
		} else {                                       
		?>	
	
	<script languaje="javascript">
	alert("Articulo sin CABYS debe Asignarlo Antes de Continuar");
	parent.document.getElementById("cdgbar").focus();
	parent.document.getElementById("cdgbar").select();
	limpiar();
		</script>
		<?php 
	} 	
	
               	 /////////////////  SI NO TIENE CODIGO CABYS  /////////////////////////
		} else {                                      /////////////////////////   sino encontro lineas  //////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	<?php 
 }                                                  ///////////////////  cierra que no encontro lineas ///////////////////


			} else {                              /////////////////////////   sino  no paga impuestos ////////////////
	
	
	
	
	//$rs_tabla = mysql_query($consulta);
if ($nrs >0) {           ////////////////////////////// si  encontro lineas /////////////////////////
//	$dscart= mysql_result($rs_tabla,0,dscart);

	if (!empty($cdghac)) {             /// PRODUCTO SI TIENE CABYS //////////////
	
	
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $cdgbar ?>",'<?php echo $dscart ?>',"<?php echo $pre001 ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>", "<?php echo $tipart ?>", ' <?php echo $ivporc ?>');


		<?php
			if ($tipart==2) {              //////////////////////si codigo es 0 o 1   /////////////////////////
			?>
						parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php 
		} else {                                        ////////////////////////// si codigo no es o ni 1 ///////////////////// 
		?>
						parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		<?php
			}                                               ///////////////////////// cierra  0 y 1 ////////////////////////
		
		?>
		

		</script>
	<?php     /////////////////  SI NO TIENE CODIGO CABYS  /////////////////////////              
		} else {                                       
		?>	
	
	<script languaje="javascript">
	alert("Articulo sin CABYS debe Asignarlo Antes de Continuar");
	parent.document.getElementById("cdgbar").focus();
	parent.document.getElementById("cdgbar").select();
	limpiar();
		</script>
		<?php 
	} 	
	
               	 /////////////////  SI NO TIENE CODIGO CABYS  /////////////////////////
		} else {                                         ////////////////////////////////sino encuentra lineas /////////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	<?php 
 }                                                      //////////////////////////////////// cierra q no encontro lineas ///////////
 }                                               /////////////////////////////////////cierra  que no paga impuestos ////////////
	
	
	



} else {   // antes de la actualizacion ////////////




	$consulta = "SELECT * FROM web_1001 WHERE cdgbar='$cdgbar'  and estart = 1 ";
	$resultado = $mysqli->query($consulta);
	$nrs  = $resultado->num_rows;
	$fila = $resultado->fetch_array();

        $dscart  = $fila["DSCART"];
		$exiact  = $fila["EXIACT"];
		$cob_iv  = $fila["COB_IV"];
		$tipart  = $fila["tipart"];
		$desmin  = $fila["desmin"];
		$desmax  = $fila["desmax"];
     	$pasillo = $fila["pasillo"];
		$estante = $fila["estante"];
		
		
					if ($tippre==1) {                  ///////////////////////////////        tipo de precio normal /////////////
        $pre001 = $fila["PRE001"];
			} elseif ($tippre==2){  
		$pre001 = $fila["PRE002"];
			} elseif ($tippre==3){  
		$pre001 = $fila["PRE003"];
		}
		
	
		$ivporc  = $fila["ivporc"];
		
		
	 
	 
	 
	 	if ($cob_iv==1) {       //////////////////    si paga impuestos /////////////////

	if ($nrs>0) {       

		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $cdgbar ?>",'<?php echo $dscart ?>',"<?php echo $pre001/($ivporc/100+1) ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>", "<?php echo $tipart ?>", ' <?php echo $ivporc ?>');


		<?php
			if ($tipart==2) {            ///////////////  si encontro codigo o o 1 ///////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php
		} else {                                        /////////////////  sino es o o 1  /////////////////////////
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		<?php
			}                                          ////////////////////cierra 0 y 1  ///////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                      /////////////////////////   sino encontro lineas  //////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	<?php 
 }                                                  ///////////////////  cierra que no encontro lineas ///////////////////


			} else {                              /////////////////////////   sino  no paga impuestos ////////////////
	
	
	
	
	//$rs_tabla = mysql_query($consulta);
if ($nrs >0) {           ////////////////////////////// si  encontro lineas /////////////////////////
//	$dscart= mysql_result($rs_tabla,0,dscart);
		?>
		<script languaje="javascript">
	pon_prefijo("<?php echo $cdgbar ?>",'<?php echo $dscart ?>',"<?php echo $pre001 ?>" , "<?php echo $cob_iv ?> ", "<?php echo $cantidad ?>", "<?php echo $tipart ?>", ' <?php echo $ivporc ?>');


		<?php
			if ($tipart==2) {              //////////////////////si codigo es 0 o 1   /////////////////////////
			?>
						parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		<?php 
		} else {                                        ////////////////////////// si codigo no es o ni 1 ///////////////////// 
		?>
						parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		<?php
			}                                               ///////////////////////// cierra  0 y 1 ////////////////////////
		
		?>
		

		</script>
		<?php 
		} else {                                         ////////////////////////////////sino encuentra lineas /////////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	<?php 
 }                                                      //////////////////////////////////// cierra q no encontro lineas ///////////
 }                                               /////////////////////////////////////cierra  que no paga impuestos ////////////
	
	
	
 }                                               /////////////////////////////////////cierra  que no se actualizado ////////////



	
?>
</div>
</body>
</html>
